summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-10-27 08:48:37 +0100
committerMichał Górny <mgorny@gentoo.org>2019-10-27 16:30:42 +0100
commitf864974f1c79ed2cfac01eb17baf8c1d91203426 (patch)
tree950c55694ea68ad7f7e2e1cbc90cdb1a7c673685 /virtual/libudev
parentvirtual/libudev: Add support for udev & systemd providing static-libs (diff)
downloadgentoo-f864974f1c79ed2cfac01eb17baf8c1d91203426.tar.gz
gentoo-f864974f1c79ed2cfac01eb17baf8c1d91203426.tar.bz2
gentoo-f864974f1c79ed2cfac01eb17baf8c1d91203426.zip
virtual/libudev: Add support for fresh sys-fs/eudev release
Signed-off-by: Michał Górny <mgorny@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13449 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'virtual/libudev')
-rw-r--r--virtual/libudev/libudev-232-r2.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/virtual/libudev/libudev-232-r2.ebuild b/virtual/libudev/libudev-232-r2.ebuild
index 6e8f0950d07..cda316a78ba 100644
--- a/virtual/libudev/libudev-232-r2.ebuild
+++ b/virtual/libudev/libudev-232-r2.ebuild
@@ -10,6 +10,9 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~s
IUSE="static-libs systemd"
RDEPEND="
- !systemd? ( >=sys-fs/udev-232:0/0[${MULTILIB_USEDEP},static-libs(-)?] )
+ !systemd? ( || (
+ >=sys-fs/eudev-3.2.9:0/0[${MULTILIB_USEDEP},static-libs(-)?]
+ >=sys-fs/udev-232:0/0[${MULTILIB_USEDEP},static-libs(-)?]
+ ) )
systemd? ( >=sys-apps/systemd-232:0/2[${MULTILIB_USEDEP},static-libs(-)?] )
"